DROP VIEW V_M_DE_NA
;

CREATE OR REPLACE VIEW V_M_DE_NA AS (
SELECT M.ID_DN, M.ID_LASTNIKA, M.ID_PLOVILA, M.ID_ASSET, M.ID_RACUNA, M.ID_PREDRACUN, M.ID_REZERVACIJE, M.ID_POGODBE, M.STEVILKA, M.STATUS, M.ORG_STATUS, M.USER_KREIRANJA, M.USER_SPREMEMBE, M.CONFIRMED, 
M.DATUM_DN, M.TERMIN_DO, M.SKUPAJ, M.SKUPAJ_VAL, M.KOMENTAR, M.LASTNIK_OBVESCEN, M.NNLOCATION_ID, M.ID_OWNER_SIGNATURE, M.TYPE, M.PROFITNI_CENTER, M.DATUM_KREIRANJA, M.DATUM_SPREMEMBE,
M.DESCRIPTION, M.USER_REFERENCE, M.APPROVED_BY, M.APPROVED_ON, DNDATA.NETO_VALUE, DNDATA.BRUTO_VALUE,
A.NAME AS ASSET_NAME, OFR.STEVILKA AS OFFER_STEVILKA, N.OPIS AS NNSTATDN_OPIS, N.INTERNI_OPIS AS NNSTATDN_INTERNI_OPIS, NS.DESCRIPTION AS NNSTATPON_DESCRIPTION, 
K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, CONCAT(CONCAT(COALESCE(K.PRIIMEK, ''), ' '), COALESCE(K.IME, '')) AS KUPCI_PRIIMEK_IME, K.VALUTA_PLACILA AS KUPCI_VALUTA_PLACILA, 
P.IME AS PLOVILA_IME, L.OPIS AS NNLOCATION_OPIS, L.INTERNI_OPIS AS NNLOCATION_INTERNI_OPIS, 
(SELECT AVG(COALESCE(COMPLETE, 0)) FROM M_STORITVE MS WHERE MS.ID_DN = M.ID_DN) AS SERVICE_COMPLETE_AVERAGE,
(SELECT SUM(COALESCE(S.ZA_PLACILO, 0)) FROM SALDKONT S WHERE S.ID_DN = M.ID_DN AND S.SDK_RN_TIP = 'I' AND S.SDK_RN_PL = 'R') AS SUM_ISSUED_INVOICES,
(SELECT SUM(COALESCE(S.ZA_PLACILO, 0)) FROM SALDKONT S WHERE S.ID_DN = M.ID_DN AND S.SDK_RN_TIP = 'I' AND S.SDK_RN_PL = 'P') AS SUM_ISSUED_PAYMENTS,
(SELECT SUM(COALESCE(S.PORABLJENO, 0)) FROM SALDKONT S WHERE S.ID_DN = M.ID_DN AND S.SDK_RN_TIP = 'I' AND S.SDK_RN_PL = 'R') AS SUM_CLOSED_INVOICES,
(SELECT SUM(COALESCE(S.PORABLJENO, 0)) FROM SALDKONT S WHERE S.ID_DN = M.ID_DN AND S.SDK_RN_TIP = 'I' AND S.SDK_RN_PL = 'P') AS SUM_CLOSED_PAYMENTS,
(SELECT COUNT(ID) FROM NAJAVE WHERE VRSTA_NAJAVE = 'CRANE' AND ID_DN = M.ID_DN)  AS CRANE_PLAN_COUNT,
(SELECT COUNT(ID_MAINTENANCE_TASK) FROM MAINTENANCE_TASK WHERE ID_DN = M.ID_DN)  AS MAINTENANCE_PLAN_COUNT
FROM M_DE_NA M
LEFT OUTER JOIN M_DE_NA OFR ON OFR.ID_DN = M.ID_PREDRACUN
LEFT OUTER JOIN (SELECT ID_DN, SUM(NETO) AS NETO_VALUE, SUM(ZNESEK) AS BRUTO_VALUE FROM M_DE_NA_DATA GROUP BY ID_DN) DNDATA ON M.ID_DN=DNDATA.ID_DN
LEFT OUTER JOIN NNSTATDN N ON N.SIFRA = M.STATUS
LEFT OUTER JOIN NNSTATPON NS ON NS.CODE = M.CONFIRMED
LEFT OUTER JOIN KUPCI K ON K.ID = M.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA P ON P.ID = M.ID_PLOVILA
LEFT OUTER JOIN NNLOCATION L ON L.ID = M.NNLOCATION_ID
LEFT OUTER JOIN ASSET A ON A.ID_ASSET = M.ID_ASSET
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1996, SYSDATE, '5.5', 1916, 'V_M_DE_NA')
;