ALTER TABLE QUESTION
ADD SOURCE_TABLE_NAME_COLUMN VARCHAR2(30 CHAR);

DROP VIEW V_SECTION_QUESTION;

CREATE OR REPLACE VIEW V_SECTION_QUESTION AS (
	SELECT SQ.ID, SQ.ID_SECTION, SQ.ID_QUESTION, SQ.ID_QUESTIONNAIRE, SQ.SORT, SQ.INPUT_REQUIRED, SQ.VISIBLE, SQ.REDIRECT_URL, SQ.DISABLE_AFTER_INSERT, SQ.PORTAL, SQ.DISABLE_EMPTY_SELECTION, SQ.SPLIT_CAPTION, SQ.CHANGE_TO_UPPERCASE,
    SQ.WIDTH, SQ.HEIGHT,
  QS.SORT AS SECTION_SORT, Q.NAME AS QUESTIONNAIRE_NAME, Q.TYPE AS QUESTIONNAIRE_TYPE, Q.USER_LOG AS QUESTIONNAIRE_USER_LOG, 
  SC.NAME AS SECTION_NAME, QU.NAME AS QUESTION_NAME, QU.QUESTION AS QUESTION_QUESTION, QU.TYPE AS QUESTION_TYPE, QU.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME, 
  QU.SOURCE_TABLE_ACTIVE_COLUMN AS QUESTION_SRC_TBL_ACTIVE_COLUMN, QU.SOURCE_TABLE_ORDER_COLUMN AS QUESTION_SRC_TBL_ORDER_COLUMN, QU.SOURCE_TABLE_NAME_COLUMN AS QUESTION_SRC_TBL_NAME_COLUMN,
  QU.CONVERSION_TYPE AS QUESTION_CONVERSION_TYPE, QU.STRING_VALUE AS QUESTION_STRING_VALUE, QU.NUMBER_VALUE AS QUESTION_NUMBER_VALUE, QU.DATE_VALUE AS QUESTION_DATE_VALUE, QU.TAG_ID AS QUESTION_TAG_ID, 
  QU.BUTTON_ACTION_TYPE AS QUESTION_BUTTON_ACTION_TYPE, QU.ID_QUERY_QUESTION AS QUESTION_ID_QUERY_QUESTION, QU.MAP_TABLE_NAME AS QUESTION_MAP_TABLE_NAME, QU.MAP_COLUMN_NAME AS QUESTION_MAP_COLUMN_NAME
	FROM SECTION_QUESTION SQ
  LEFT OUTER JOIN QUESTIONNAIRE Q ON Q.ID = SQ.ID_QUESTIONNAIRE
  LEFT OUTER JOIN SECTION SC ON SC.ID = SQ.ID_SECTION
  LEFT OUTER JOIN QUESTION QU ON QU.ID = SQ.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_SECTION QS ON QS.ID_QUESTIONNAIRE = Q.ID AND QS.ID_SECTION = SC.ID
);

DROP VIEW V_KUPCI;

CREATE OR REPLACE VIEW V_KUPCI AS (
	SELECT K.ID, K.ID_MEMBER, K.IME, K.PRIIMEK, K.MESTO, K.NASLOV, K.POSTA, K.TELEFON_1, K.TELEFON_2, K.EMAIL, K.YACHT_CLUB_ID, K.TELEX, K.VRSTA, K.NDRZAVA, K.DATUM_SPREMEMBE, K.DATUM_KREIRANJA, K.ID_STATE,
	K.SALDAKONTI_SIT, K.SALDAKONTI_DEM, K.SALDAKONTI_KOM, K.BELEZKA, K.MANAGER, K.ACT, K.KODA_JEZIKA, K.CODE_REFERRAL, K.LOYALTY, K.LOYALTY_CODE, K.DAVCNA_STEVILKA, K.SEND_TEXT, K.ID_EXTERNAL, K.DATE_EXTERNAL, K.UNSUBSCRIBED,
  ENQ.INITIAL_CONTACT_DATE, ENQ.SELL_PHASE, ENQ.BOAT_LOCATION_ID, ENQ.SELL_PHASE_STATUS AS SELL_PHASE_STATUS, ENQ.BOAT_LENGTH_ID AS ENQUIRY_BOAT_LENGTH_ID,
	NNTIT.INTERNI_OPIS AS NNTITLE_DESC, NNDRZ.INTERNI_OPIS AS NNDRZAVA_DESC, NNDOK.INTERNI_OPIS AS VRSTA_DOKUMENTA_DESC, NNVRS.OPIS AS VRSTA_OPIS, NNVRS.INTERNI_OPIS AS VRSTA_DESC, NNVRSLOY.OPIS AS LOYALTY_TYPE_DESCRIPTION,
	NNDRZDR.INTERNI_OPIS AS DRZAVA_ROJSTVA_DESC, NNDRZCI.INTERNI_OPIS AS CITIZENSHIP_DESC, NNMAR.INTERNI_OPIS AS MARITAL_STATUS_DESC, NNUSR.USER_ AS MANAGER_USER,
  NSP.OPIS AS SELL_PHASE_OPIS, NNLB.OPIS AS BOAT_LOCATION_OPIS,
  (SELECT LISTAGG(NV.OPIS,', ') WITHIN GROUP(ORDER BY NV.OPIS ASC) TYPES FROM KUPCI_VRSTA KV, NNVRSKUP NV WHERE NV.SIFRA = KV.VRSTA AND KV.ID_KUPCA = K.ID) AS TYPES_DESCRIPTIONS,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER,
  ENQ.CONVERSION_DATE, K.START_YC_MEMBERSHIP
	FROM KUPCI K
	LEFT OUTER JOIN NNTITLE NNTIT ON K.NTITLE = NNTIT.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZ ON K.NDRZAVA = NNDRZ.SIFRA
	LEFT OUTER JOIN NNDOKUME NNDOK ON K.VRSTA_DOKUMENTA = NNDOK.SIFRA
	LEFT OUTER JOIN NNVRSKUP NNVRS ON K.VRSTA = NNVRS.SIFRA
  LEFT OUTER JOIN NNVRSKUP NNVRSLOY ON K.LOYALTY_CODE = NNVRSLOY.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZDR ON K.DRZAVA_ROJSTVA = NNDRZDR.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZCI ON K.CITIZENSHIP = NNDRZCI.SIFRA
	LEFT OUTER JOIN NNMARSTAT NNMAR ON K.MARITAL_STATUS = NNMAR.SIFRA
  LEFT OUTER JOIN NUSER NNUSR ON K.MANAGER = NNUSR.NUSER
  LEFT OUTER JOIN ENQUIRY ENQ ON K.ID = ENQ.ID_KUPCA
  LEFT OUTER JOIN NNSELL_PHASE NSP ON ENQ.SELL_PHASE = NSP.SIFRA
  LEFT OUTER JOIN NNLOCATION NNLB ON ENQ.BOAT_LOCATION_ID = NNLB.ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2064, SYSDATE, '5.5', 1984, 'Src tbl name col')
;