CREATE TABLE NOTIFICATION (
	ID_NOTIFICATION NUMBER,
    ID_LASTNIKA NUMBER,
	RECEIVER VARCHAR2(1000 CHAR),
    TITLE VARCHAR2(100 CHAR),
	CONTENT VARCHAR2(500 CHAR),
	STATUS NUMBER,
    STATUS_MESSAGE VARCHAR2(1000 CHAR),
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(100 CHAR),
	CONSTRAINT NOTIFICATION_PK PRIMARY KEY (ID_NOTIFICATION)
);

ALTER TABLE NOTIFICATION
ADD CONSTRAINT NOTIFICATION_ID_LASTNIKA_FK
FOREIGN KEY (ID_LASTNIKA)
REFERENCES KUPCI(ID);

CREATE SEQUENCE NOTIFICATION_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_NOTIFICATION
AS (
SELECT N.ID_NOTIFICATION, N.ID_LASTNIKA, N.RECEIVER, N.TITLE, N.CONTENT, N.STATUS, N.STATUS_MESSAGE, N.DATE_CREATED, N.USER_CREATED,
K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
FROM NOTIFICATION N
LEFT OUTER JOIN KUPCI K ON N.ID_LASTNIKA = K.ID
);

CREATE TABLE NOTIFICATION_STATUS (
	ID_NOTIFICATION_STATUS NUMBER NOT NULL,
	DESCRIPTION VARCHAR2(100 CHAR),
	INTERNAL_DESCRIPTION VARCHAR2(100 CHAR),
	ACTIVE VARCHAR2 (1 CHAR),
	CONSTRAINT NOTIFICATION_STATUS_PK PRIMARY KEY (ID_NOTIFICATION_STATUS)
);

INSERT INTO NOTIFICATION_STATUS(ID_NOTIFICATION_STATUS, DESCRIPTION, INTERNAL_DESCRIPTION, ACTIVE) VALUES
(0, 'Not yet sent', 'Not yet sent', 'Y');

INSERT INTO NOTIFICATION_STATUS(ID_NOTIFICATION_STATUS, DESCRIPTION, INTERNAL_DESCRIPTION, ACTIVE) VALUES
(1, 'Successfully sent', 'Successfully sent', 'Y');

INSERT INTO NOTIFICATION_STATUS(ID_NOTIFICATION_STATUS, DESCRIPTION, INTERNAL_DESCRIPTION, ACTIVE) VALUES
(-1, 'Error', 'Error', 'Y');

INSERT INTO NOTIFICATION_STATUS(ID_NOTIFICATION_STATUS, DESCRIPTION, INTERNAL_DESCRIPTION, ACTIVE) VALUES
(-2, 'Deleted', 'Deleted', 'Y');

CREATE TABLE NOTIFICATION_TEMPLATE (
	ID_NOTIFICATION_TEMPLATE NUMBER NOT NULL,
	NAME VARCHAR2(100 CHAR),
	VALUE VARCHAR2(300 CHAR),
	RECEIVER VARCHAR2(1000 CHAR),
    TITLE VARCHAR2(100 CHAR),
	CONTENT VARCHAR2(500 CHAR),
    TYPE VARCHAR2(3 CHAR),
    NNLOCATION_ID NUMBER,
    USER_SELECTABLE VARCHAR2(1 CHAR),
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	ACTIVE VARCHAR2(1 CHAR),
	CONSTRAINT NOTIFICATION_TEMPLATE_PK PRIMARY KEY (ID_NOTIFICATION_TEMPLATE)
);

CREATE SEQUENCE NOTIFICATION_TEMPLATE_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE NOTIFICATION_TEMPLATE_TYPE (
	CODE VARCHAR2(3 CHAR) NOT NULL,
	DESCRIPTION VARCHAR2(100 CHAR),
	INTERNAL_DESCRIPTION VARCHAR2(100 CHAR),
	ACTIVE VARCHAR2 (1 CHAR),
	CONSTRAINT NOTIFICATION_TEMPLATE_TYPE_PK PRIMARY KEY (CODE)
);

CREATE OR REPLACE VIEW V_NOTIFICATION_TEMPLATE AS
SELECT NT.ID_NOTIFICATION_TEMPLATE, NT.NAME, NT.VALUE, NT.RECEIVER, NT.TITLE, NT.CONTENT, NT.TYPE, NT.NNLOCATION_ID, NT.USER_SELECTABLE, 
NT.DATE_CHANGED, NT.USER_CHANGED, NT.DATE_CREATED, NT.USER_CREATED, NT.ACTIVE,
NTT.DESCRIPTION AS TYPE_DESCRIPTION, NTT.INTERNAL_DESCRIPTION AS TYPE_INTERNAL_DESCRIPTION
FROM NOTIFICATION_TEMPLATE NT
LEFT OUTER JOIN NOTIFICATION_TEMPLATE_TYPE NTT ON NT.TYPE = NTT.CODE;

INSERT INTO NOTIFICATION_TEMPLATE_TYPE(CODE, DESCRIPTION, INTERNAL_DESCRIPTION, ACTIVE) VALUES
('ACO', 'Assistance confirmation', 'Assistance confirmation', 'Y');

INSERT INTO NOTIFICATION_TEMPLATE_TYPE(CODE, DESCRIPTION, INTERNAL_DESCRIPTION, ACTIVE) VALUES
('CPC', 'Crane plan complete', 'Crane plan complete', 'Y');

ALTER TABLE VRSTA_NAJAVE
ADD SEND_NOTIFICATION_ON_COMPLETE VARCHAR2(1 CHAR);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2149, SYSDATE, '5.5', 2069, 'Notifications')
;
