CREATE TABLE NNTIPCORR (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(30 CHAR),
	INTERNI_OPIS VARCHAR2(30 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT "NNTIPCORR_PK" PRIMARY KEY (SIFRA)
);

INSERT INTO NNTIPCORR VALUES ('P','Mail Address','Mail Address','Y');
INSERT INTO NNTIPCORR VALUES ('E','Email Address','Email Address','Y');
INSERT INTO NNTIPCORR VALUES ('T','Phone','Phone','Y');
INSERT INTO NNTIPCORR VALUES ('M','Mobile phone','Mobile phone','Y');
INSERT INTO NNTIPCORR VALUES ('F','Fax','Fax','Y');
INSERT INTO NNTIPCORR VALUES ('FB','Facebook','Facebook','Y');
INSERT INTO NNTIPCORR VALUES ('TW','Twitter','Twitter','Y');
INSERT INTO NNTIPCORR VALUES ('L','LinkedIn','LinkedIn','Y');
INSERT INTO NNTIPCORR VALUES ('W','WhatsApp','WhatsApp','Y');
INSERT INTO NNTIPCORR VALUES ('O','Other','Other','Y');


CREATE TABLE NNVRSCORR (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	TIP VARCHAR2(3 CHAR) NOT NULL, 
	OPIS VARCHAR2(30 CHAR),
	INTERNI_OPIS VARCHAR2(30 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT "NNVRSCORR_PK" PRIMARY KEY (SIFRA)
);

INSERT INTO NNVRSCORR VALUES ('001','P','Residential Address','Residential Address','Y');
INSERT INTO NNVRSCORR VALUES ('002','P','Business Address','Business Address','Y');
INSERT INTO NNVRSCORR VALUES ('003','P','Overseas Address','Overseas Address','Y');
INSERT INTO NNVRSCORR VALUES ('004','T','Home telephone','Home telephone','Y');
INSERT INTO NNVRSCORR VALUES ('005','T','Company telephone','Company telephone','Y');
INSERT INTO NNVRSCORR VALUES ('006','F','Personal fax','Personal fax','Y');
INSERT INTO NNVRSCORR VALUES ('007','F','Company fax','Company fax','Y');
INSERT INTO NNVRSCORR VALUES ('008','E','Personal email','Personal email','Y');
INSERT INTO NNVRSCORR VALUES ('009','E','Company email','Company email','Y');
INSERT INTO NNVRSCORR VALUES ('010','M','Mobile phone','Mobile phone','Y');
INSERT INTO NNVRSCORR VALUES ('011','FB','Facebook','Facebook','Y');
INSERT INTO NNVRSCORR VALUES ('012','TW','Twitter','Twitter','Y');
INSERT INTO NNVRSCORR VALUES ('013','L','LinkedIn','LinkedIn','Y');
INSERT INTO NNVRSCORR VALUES ('014','W','WhatsApp','WhatsApp','Y');
INSERT INTO NNVRSCORR VALUES ('020','E','Other personal email','Other personal email','Y');

CREATE TABLE KUPCI_CORRESPONDENCE (
	ID NUMBER NOT NULL,
	ID_KUPCA NUMBER,
	VRSTA_CORR VARCHAR2(3 CHAR) NOT NULL, 
	NASLOV VARCHAR2(50 CHAR),
	NASLOV1 VARCHAR2(50 CHAR),
	POSTA VARCHAR2(50 CHAR),
	KRAJ VARCHAR2(50 CHAR),
	NASLOV4 VARCHAR2(50 CHAR),
	NASLOV5 VARCHAR2(50 CHAR),
	NASLOV6 VARCHAR2(50 CHAR),
	NDRZAVA VARCHAR2(3 CHAR), 
	PREFERRED VARCHAR2 (1 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT "KUPCI_CORRESPONDENCE_PK" PRIMARY KEY (ID)
);

CREATE SEQUENCE KUPCI_CORRESPONDENCE_SEQ 
MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE APPLICATION_FORM DROP COLUMN PREFERRED_MAIL;
ALTER TABLE KUPCI DROP COLUMN FACEBOOK;
ALTER TABLE KUPCI DROP COLUMN TWITTER;
ALTER TABLE KUPCI DROP COLUMN LINKEDIN;
ALTER TABLE KUPCI DROP COLUMN WHATSAPP;

CREATE OR REPLACE VIEW V_KUPCI AS (
  SELECT CONCAT(K.ID, '-INTERNI_OPIS') AS V_KUPCI_ID, K.ID, K.IME, K.PRIIMEK, K.MESTO, K.NASLOV, K.POSTA, K.TELEFON_1, K.EMAIL, NNTIT.INTERNI_OPIS AS NNTITLE_DESC, NNDRZ.INTERNI_OPIS AS NNDRZAVA_DESC, NNDOK.INTERNI_OPIS AS VRSTA_DOKUMENTA_DESC, NNVRS.INTERNI_OPIS AS VRSTA_DESC, 
  NNDRZDR.INTERNI_OPIS AS DRZAVA_ROJSTVA_DESC, NNDRZCI.INTERNI_OPIS AS CITIZENSHIP_DESC, NNMAR.INTERNI_OPIS AS MARITAL_STATUS_DESC, 'INTERNI_OPIS' AS SIF_LANG
  FROM KUPCI K
  LEFT OUTER JOIN NNTITLE NNTIT ON K.NTITLE = NNTIT.SIFRA
  LEFT OUTER JOIN NNDRZAVE NNDRZ ON K.NDRZAVA = NNDRZ.SIFRA
  LEFT OUTER JOIN NNDOKUME NNDOK ON K.VRSTA_DOKUMENTA = NNDOK.SIFRA
  LEFT OUTER JOIN NNVRSKUP NNVRS ON K.VRSTA = NNVRS.SIFRA
  LEFT OUTER JOIN NNDRZAVE NNDRZDR ON K.DRZAVA_ROJSTVA = NNDRZDR.SIFRA
  LEFT OUTER JOIN NNDRZAVE NNDRZCI ON K.CITIZENSHIP = NNDRZCI.SIFRA
  LEFT OUTER JOIN NNMARSTAT NNMAR ON K.MARITAL_STATUS = NNMAR.SIFRA
  UNION ALL
  SELECT CONCAT(K.ID, '-OPIS') AS V_KUPCI_ID, K.ID, K.IME, K.PRIIMEK, K.MESTO, K.NASLOV, K.POSTA, K.TELEFON_1, K.EMAIL, NNTIT.OPIS AS NNTITLE_DESC, NNDRZ.OPIS AS NNDRZAVA_DESC, NNDOK.OPIS AS VRSTA_DOKUMENTA_DESC, NNVRS.OPIS AS VRSTA_DESC, 
  NNDRZDR.OPIS AS DRZAVA_ROJSTVA_DESC, NNDRZCI.OPIS AS CITIZENSHIP_DESC, NNMAR.OPIS AS MARITAL_STATUS_DESC, 'OPIS' AS SIF_LANG
  FROM KUPCI K
  LEFT OUTER JOIN NNTITLE NNTIT ON K.NTITLE = NNTIT.SIFRA
  LEFT OUTER JOIN NNDRZAVE NNDRZ ON K.NDRZAVA = NNDRZ.SIFRA
  LEFT OUTER JOIN NNDOKUME NNDOK ON K.VRSTA_DOKUMENTA = NNDOK.SIFRA
  LEFT OUTER JOIN NNVRSKUP NNVRS ON K.VRSTA = NNVRS.SIFRA
  LEFT OUTER JOIN NNDRZAVE NNDRZDR ON K.DRZAVA_ROJSTVA = NNDRZDR.SIFRA
  LEFT OUTER JOIN NNDRZAVE NNDRZCI ON K.CITIZENSHIP = NNDRZCI.SIFRA
  LEFT OUTER JOIN NNMARSTAT NNMAR ON K.MARITAL_STATUS = NNMAR.SIFRA
);


insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(453, SYSDATE, '5.5', 373, 'Korespondenca');