CREATE TABLE EMAIL_TEMPLATE (
	ID_EMAIL_TEMPLATE NUMBER NOT NULL,
	NAME VARCHAR2(100 CHAR),
	VALUE VARCHAR2(300 CHAR),
	SENDER VARCHAR2(200 CHAR),
	RECEIVER VARCHAR2(4000 CHAR),
	SUBJECT VARCHAR2(200 CHAR),
	CONTENT VARCHAR2(4000 CHAR),
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	ACT VARCHAR2(1 CHAR),
	CONSTRAINT EMAIL_TEMPLATE_PK PRIMARY KEY (ID_EMAIL_TEMPLATE)
);

CREATE SEQUENCE EMAIL_TEMPLATE_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE EMAIL_ATTACHMENT_TEMPLATE (
	ID_EMAIL_ATTACHMENT_TEMPLATE NUMBER NOT NULL,
	ID_EMAIL_TEMPLATE NUMBER NOT NULL,
	NAME VARCHAR2(100 CHAR),
	CONTENT VARCHAR2(100 CHAR),
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	ACT VARCHAR2(1 CHAR),
	CONSTRAINT ID_EMAIL_TEMPLATE_FK FOREIGN KEY (ID_EMAIL_TEMPLATE) REFERENCES EMAIL_TEMPLATE(ID_EMAIL_TEMPLATE),
	CONSTRAINT EMAIL_ATTACHMENT_TEMPLATE_PK PRIMARY KEY (ID_EMAIL_ATTACHMENT_TEMPLATE)
);

CREATE SEQUENCE EMAIL_ATTACHMENT_TEMPLATE_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE EMAIL_TEMPLATE_TIMER (
	ID_EMAIL_TEMPLATE_TIMER NUMBER NOT NULL,
	ID_EMAIL_TEMPLATE NUMBER NOT NULL,
	ID_TIMER_DATA NUMBER NOT NULL,
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	ACT VARCHAR2(1 CHAR),
	CONSTRAINT ETT_ID_EMAIL_TEMPLATE_FK FOREIGN KEY (ID_EMAIL_TEMPLATE) REFERENCES EMAIL_TEMPLATE(ID_EMAIL_TEMPLATE),
	CONSTRAINT ETT_ID_TIMER_DATA_FK FOREIGN KEY (ID_TIMER_DATA) REFERENCES TIMER_DATA(ID_TIMER_DATA),
	CONSTRAINT EMAIL_TEMPLATE_TIMER_PK PRIMARY KEY (ID_EMAIL_TEMPLATE_TIMER)
);

CREATE SEQUENCE EMAIL_TEMPLATE_TIMER_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(490, SYSDATE, '5.5', 410, 'Email templates');
