CREATE TABLE PLOVILA_MOTOR (
	ID NUMBER NOT NULL,
	ID_PLOVILA NUMBER NOT NULL,
	OLD_CODE VARCHAR2(1 CHAR),
	ENGINE_TYPE VARCHAR2(3 CHAR),
	ENGINE_TYPE_DESCRIPTION VARCHAR2(40 CHAR),
	ENGINE_NUMBER VARCHAR2(20 CHAR),
	POWER VARCHAR2(10 CHAR),
	POWER_UNIT VARCHAR2(3 CHAR),
	ENGINE_TYPE_2 VARCHAR2(3 CHAR),
	FUEL_TYPE VARCHAR2(3 CHAR),
	NUM_HOURS NUMBER,
	CONSTRAINT PLOVILA_MOTOR_PLOVILA_FK FOREIGN KEY (ID_PLOVILA) REFERENCES PLOVILA(ID),
	CONSTRAINT PLOVILA_MOTOR_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE PLOVILA_MOTOR_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

INSERT INTO PLOVILA_MOTOR(ID, ID_PLOVILA, OLD_CODE, ENGINE_TYPE, ENGINE_TYPE_DESCRIPTION, ENGINE_NUMBER, POWER, POWER_UNIT, ENGINE_TYPE_2, FUEL_TYPE, NUM_HOURS)
SELECT PLOVILA_MOTOR_SEQ.NEXTVAL, ID, '1', ID_TIPA_MOTORJA_1, TIP_MOTORJA, N_MOTORJA_1, MOC_MOTORJA_1, ENOTA_MOCI_MOTORJA_1, ENGINE_TYPE_1, ENGINE_FUEL_TYPE_1, ST_UR_MOTORJA FROM PLOVILA
WHERE ID_TIPA_MOTORJA_1 IS NOT NULL OR TIP_MOTORJA IS NOT NULL OR N_MOTORJA_1 IS NOT NULL OR (MOC_MOTORJA_1 IS NOT NULL AND MOC_MOTORJA_1 <> '0') 
OR ENOTA_MOCI_MOTORJA_1 IS NOT NULL OR ENGINE_TYPE_1 IS NOT NULL OR ENGINE_FUEL_TYPE_1 IS NOT NULL OR (ST_UR_MOTORJA IS NOT NULL AND ST_UR_MOTORJA <> 0);

INSERT INTO PLOVILA_MOTOR(ID, ID_PLOVILA, OLD_CODE, ENGINE_TYPE, ENGINE_TYPE_DESCRIPTION, ENGINE_NUMBER, POWER, POWER_UNIT, ENGINE_TYPE_2, FUEL_TYPE, NUM_HOURS)
SELECT PLOVILA_MOTOR_SEQ.NEXTVAL, ID, '2', ID_TIPA_MOTORJA_2, NULL, N_MOTORJA_2, MOC_MOTORJA_2, ENOTA_MOCI_MOTORJA_2, ENGINE_TYPE_2, ENGINE_FUEL_TYPE_2, NULL FROM PLOVILA
WHERE ID_TIPA_MOTORJA_2 IS NOT NULL OR N_MOTORJA_2 IS NOT NULL OR (MOC_MOTORJA_2 IS NOT NULL AND MOC_MOTORJA_2 <> '0') OR ENOTA_MOCI_MOTORJA_2 IS NOT NULL OR ENGINE_TYPE_2 IS NOT NULL OR ENGINE_FUEL_TYPE_2 IS NOT NULL;

INSERT INTO PLOVILA_MOTOR(ID, ID_PLOVILA, OLD_CODE, ENGINE_TYPE, ENGINE_TYPE_DESCRIPTION, ENGINE_NUMBER, POWER, POWER_UNIT, ENGINE_TYPE_2, FUEL_TYPE, NUM_HOURS)
SELECT PLOVILA_MOTOR_SEQ.NEXTVAL, ID, '3', ID_TIPA_MOTORJA_3, NULL, N_MOTORJA_3, MOC_MOTORJA_3, ENOTA_MOCI_MOTORJA_3, ENGINE_TYPE_3, ENGINE_FUEL_TYPE_3, NULL FROM PLOVILA
WHERE ID_TIPA_MOTORJA_3 IS NOT NULL OR N_MOTORJA_3 IS NOT NULL OR (MOC_MOTORJA_3 IS NOT NULL AND MOC_MOTORJA_3 <> '0') OR ENOTA_MOCI_MOTORJA_3 IS NOT NULL OR ENGINE_TYPE_3 IS NOT NULL OR ENGINE_FUEL_TYPE_3 IS NOT NULL;

CREATE OR REPLACE VIEW V_PLOVILA_MOTOR
AS (
SELECT PM.ID AS ID_PLOVILA_MOTOR, PM.ID_PLOVILA, PM.OLD_CODE, PM.ENGINE_TYPE, PM.ENGINE_TYPE_DESCRIPTION, PM.ENGINE_NUMBER, PM.POWER, PM.POWER_UNIT, PM.ENGINE_TYPE_2, PM.FUEL_TYPE, PM.NUM_HOURS,
P.IME AS PLOVILA_IME, TM.OPIS AS TIP_MOTORJA_OPIS, TM.INTERNI_OPIS AS TIP_MOTORJA_INTERNI_OPIS, EM.OPIS AS ENOTA_MOCI_OPIS, EM.INTERNI_OPIS AS ENOTA_MOCI_INTERNI_OPIS,
ET.OPIS AS ENGINE_TYPE_OPIS, ET.INTERNI_OPIS AS ENGINE_TYPE_INTERNI_OPIS, FT.OPIS AS FUEL_TYPE_OPIS, FT.INTERNI_OPIS AS FUEL_TYPE_INTERNI_OPIS
FROM PLOVILA_MOTOR PM
LEFT OUTER JOIN PLOVILA P ON P.ID = PM.ID_PLOVILA
LEFT OUTER JOIN NNTIP_MOTORJA TM ON TM.SIFRA = PM.ENGINE_TYPE
LEFT OUTER JOIN NNENOTA_MOCI EM ON EM.SIFRA = PM.POWER_UNIT
LEFT OUTER JOIN NNENGINE_TYPE ET ON ET.SIFRA = PM.ENGINE_TYPE_2
LEFT OUTER JOIN NNFUEL_TYPE FT ON FT.SIFRA = PM.FUEL_TYPE
);

ALTER TABLE PLOVILA
DROP COLUMN ENGINE_TYPE_1;

ALTER TABLE PLOVILA
DROP COLUMN ENGINE_TYPE_2;

ALTER TABLE PLOVILA
DROP COLUMN ENGINE_TYPE_3;

ALTER TABLE PLOVILA
DROP COLUMN ENGINE_FUEL_TYPE_1;

ALTER TABLE PLOVILA
DROP COLUMN ENGINE_FUEL_TYPE_2;

ALTER TABLE PLOVILA
DROP COLUMN ENGINE_FUEL_TYPE_3;



insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (648, SYSDATE, '5.5', 568, 'Premik motorjev');