CREATE OR REPLACE VIEW V_SALDKONT AS (
	SELECT S.ID_SALDKONT AS SALDKONT_ID_SALDKONT, S.N_RACUNA AS SALDKONT_N_RACUNA, S.DATUM AS SALDKONT_DATUM, S.ZA_PLACILO AS SALDKONT_ZA_PLACILO, S.PORABLJENO AS SALDKONT_PORABLJENO, S.VALUTA_RN AS SALDKONT_VALUTA_RN,
  S.DATUM_VALUTACIJE AS SALDKONT_DATUM_VALUTACIJE, S.VRSTA_RACUNA AS SALDKONT_VRSTA_RACUNA, S.USER_KREIRANJA AS SALDKONT_USER_KREIRANJA, S.DATUM_KREIRANJA AS SALDKONT_DATUM_KREIRANJA,
  S.USER_SPREMEMBE AS SALDKONT_USER_SPREMEMBE, S.DATUM_SPREMEMBE AS SALDKONT_DATUM_SPREMEMBE, S.ID_KUPCA AS SALDKONT_ID_KUPCA, S.ID_PLOVILA AS SALDKONT_ID_PLOVILA, S.ZAPRTO AS SALDKONT_ZAPRTO,
  S.SDK_RN_PL AS SALDKONT_SDK_RN_PL, S.LASTNIK_OBVESCEN AS SALDKONT_LASTNIK_OBVESCEN, S.STORNO AS SALDKONT_STORNO, S.KOMENTAR AS SALDKONT_KOMENTAR, S.ID_CARDS AS SALDKONT_ID_CARDS, S.ZNESEK AS SALDKONT_ZNESEK,
  S.PROTIVREDNOST AS SALDKONT_PROTIVREDNOST, CASE WHEN S.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) THEN 'Y' ELSE 'N' END AS SALDKONT_DOMESTIC, S.TECAJ_PRERACUN AS SALDKONT_TECAJ_PRERACUN, S.N_KNJIZBE AS SALDKONT_N_KNJIZBE,
  N.OPIS AS M_NNSTOMAR_OPIS, N.KAT AS M_NNSTOMAR_KAT, N.TIMEKAT AS M_NNSTOMAR_TIMEKAT,
  D.ID_PRINT_DOK AS PRINT_DOK_ID_PRINT_DOK, D.STEVILKA AS PRINT_DOK_STEVILKA, D.OPIS AS PRINT_DOK_OPIS, D.DATOTEKA AS PRINT_DOK_DATOTEKA, D.PDF AS PRINT_DOK_PDF, D.OBJAVI AS PRINT_DOK_OBJAVI,
  K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.SALDAKONTI_SIT AS KUPCI_SALDAKONTI_SIT, K.NASLOV AS KUPCI_NASLOV, K.POSTA AS KUPCI_POSTA, K.MESTO AS KUPCI_MESTO, K.DAVCNA_STEVILKA AS KUPCI_DAVCNA_STEVILKA,
  K.SIFRA_DOB AS KUPCI_SIFRA_DOB, KND.OZNAKA AS KUPCI_NDRZAVA_OZNAKA, NC.OPIS AS NNCARDS_OPIS, NC.VRSTA_DENARJA AS NNCARDS_VRSTA_DENARJA
	FROM SALDKONT S
  LEFT OUTER JOIN RACUN_DATA R ON R.ID_SALDKONT = S.ID_SALDKONT
  LEFT OUTER JOIN M_STORITVE M ON M.ID_STORITVE = R.ID_STORITVE
  LEFT OUTER JOIN M_NNSTOMAR N ON N.SIFRA = M.STORITEV
  LEFT OUTER JOIN PRINT_DOK D ON D.MODUL = S.VRSTA_RACUNA AND D.REFERENCA = S.ID_SALDKONT
  LEFT OUTER JOIN KUPCI K ON K.ID = S.ID_KUPCA
  LEFT OUTER JOIN NNCARDS NC ON NC.ID_CARDS = S.ID_CARDS
  LEFT OUTER JOIN NNDRZAVE KND ON KND.SIFRA = K.NDRZAVA
  WHERE R.ZAP_ST IS NULL OR R.ZAP_ST = 1
);


CREATE OR REPLACE VIEW V_SALDKONT_FISC AS (
  SELECT SF.ID_SALDKONT_FISC, SF.ID_SALDKONT, SF.ID_SALDKONT_ZAP, SF.VRSTA, SF.DATUM_KREIRANJA, SF.STEVILKA, SF.NSTEVILKA, SF.ZA_PLACILO, 
  SDP.N_RACUNA AS SALDKONT_PAY_N_RACUNA, SDP.TECAJ_PRERACUN AS SALDKONT_PAY_TECAJ_PRERACUN, SDP.VRSTA_RACUNA AS SALDKONT_PAY_VRSTA_RACUNA, 
  CASE WHEN SDP.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) THEN 'Y' ELSE 'N' END AS SALDKONT_PAY_DOMESTIC,
  RDP.ZNESEK AS RACUN_DATA_PAY_ZNESEK, RDP.NETO AS RACUN_DATA_PAY_NETO, RDP.ZN_DAVKA AS RACUN_DATA_PAY_ZN_DAVKA, RDP.DAV_STOPNJA AS RACUN_DATA_PAY_DAV_STOPNJA,
  KP.IME AS KUPCI_PAY_IME, KP.PRIIMEK AS KUPCI_PAY_PRIIMEK, KP.NASLOV AS KUPCI_PAY_NASLOV, KP.POSTA AS KUPCI_PAY_POSTA, KP.MESTO AS KUPCI_PAY_MESTO, KP.DAVCNA_STEVILKA AS KUPCI_PAY_DAVCNA_STEVILKA,
  KP.SIFRA_DOB AS KUPCI_PAY_SIFRA_DOB, KNDP.OZNAKA AS KUPCI_PAY_NDRZAVA_OZNAKA 
  FROM SALDKONT_FISC SF
  LEFT OUTER JOIN SALDKONT_ZAP SZ ON SZ.ID_SALDKONT_ZAP = SF.ID_SALDKONT_ZAP
  LEFT OUTER JOIN SALDKONT SDP ON SDP.ID_SALDKONT = SZ.ID_PL_SALDKONT 
  LEFT OUTER JOIN KUPCI KP ON KP.ID = SDP.ID_KUPCA
  LEFT OUTER JOIN NNDRZAVE KNDP ON KNDP.SIFRA = KP.NDRZAVA
  LEFT OUTER JOIN RACUN_DATA RDP ON RDP.ID_SALDKONT = SDP.ID_SALDKONT
  WHERE RDP.ZAP_ST IS NULL OR RDP.ZAP_ST = 1
);

CREATE OR REPLACE VIEW V_RACUN_DATA_TAX_RATE_SUM AS (
  SELECT CONCAT(CONCAT(ID_SALDKONT, '-'), NVL(DAV_STOPNJA, 0)) AS ID, ID_SALDKONT, DAV_STOPNJA, SUM(ZNESEK) AS SUM_ZNESEK, SUM(NETO) AS SUM_NETO, SUM(ZN_DAVKA) AS SUM_ZN_DAVKA
  FROM RACUN_DATA 
  GROUP BY ID_SALDKONT, DAV_STOPNJA
);


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (876, SYSDATE, '5.5', 796, 'Saldkont pogledi');

